This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 150353 - Openoffice crashes on new text document when changing text from English to another language
Openoffice crashes on new text document when changing text from English to an...
Status: CLOSED DUPLICATE of bug 148965
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-04 15:31 EST by David Kaplan
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-07 05:06:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Kaplan 2005-03-04 15:31:15 EST
Important parts of bug report from bug-buddy are below.  If there is a
better place to submit this bug, let me know where.  I always finds
openoffice.org's own bug submission site difficult to use.

Distribution: Fedora Core release 3 (Heidelberg)
Package: openoffice.org-1.1.3-6.5.0.fc3

Steps to reproduce the crash:
1. ooffice
2. Start a new text document
3. Enter a bit of text
4. Select all the text (ctrl-a)
5. Right click and go to character format
6.  Change language from english to any other language
7.  Accept and openoffice immediately crashes with exit code 77.

Expected Results:
Should just change the language of text.

How often does this happen?
Always

Additional Information:
If you save text before changing language, no crash.  Must be a new
document to get crash. 


Debugging Information:

Backtrace was generated from '/usr/lib/ooo-1.1/program/soffice.bin'

Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208367424 (LWP 8133)]
[New Thread -1259496528 (LWP 8154)]
[Thread debugging using libthread_db enabled]
[New Thread -1208367424 (LWP 8133)]
[New Thread -1259496528 (LWP 8154)]
[Thread debugging using libthread_db enabled]
[New Thread -1208367424 (LWP 8133)]
[New Thread -1259496528 (LWP 8154)]
[New Thread -1248904272 (LWP 8151)]
[New Thread 78982064 (LWP 8150)]
0x005967a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#0  0x005967a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x0063868b in __waitpid_nocancel () from /lib/tls/libc.so.6
#2  0x005e33b5 in do_system () from /lib/tls/libc.so.6
#3  0x005e3763 in system () from /lib/tls/libc.so.6
#4  0x008db7cd in system () from /lib/tls/libpthread.so.0
#5  0x00a89fad in ReportCrash (Signal=11) at signal.c:581
#6  0x00a8a243 in SignalHandlerFunction (Signal=11) at signal.c:737
#7  <signal handler called>
#8  String::Equals (this=0xbfe78c10, rStr=@0x1fbf4d0) at
strimp.cxx:1476
#9  0x0366ebba in FontList::Get (this=0x1fbf498, rName=@0xbfe78c20, 
    rStyleName=@0xbfe78c10) at string.hxx:639
#10 0xb3dc8a12 in SvxCharNamePage::FillItemSet_Impl (this=0x243f8d8, 
    rSet=@0xbfe78cb0, eLangGrp=SvxCharNamePage::Western)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/svx/source/dialog/chardlg.cxx:1325
#11 0xb3dca0f2 in SvxCharNamePage::FillItemSet (this=0x243f8d8, 
    rSet=@0xbfe78cb0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/svx/source/dialog/chardlg.cxx:1731
#12 0xb3dc9fa3 in SvxCharNamePage::DeactivatePage (this=0x0, pSet=0x1)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/svx/source/dialog/chardlg.cxx:1695
#13 0xb380055b in SfxTabDialog::PrepareLeaveCurrentPage
(this=0x243e760)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/sfx2/source/dialog/tabdlg.cxx:1120
#14 0xb380047b in SfxTabDialog::OkHdl (this=0x243e760) at
tabdlg.hxx:244
#15 0xb380044a in SfxTabDialog::LinkStubOkHdl (pThis=0x7, pCaller=0x7)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/sfx2/source/dialog/tabdlg.cxx:1076
#16 0x0321a512 in Button::Click (this=0x243ec3c) at link.hxx:159
#17 0x0321ee95 in OKButton::Click (this=0x7)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/control/button.cxx:1715
#18 0x031bc602 in Window::ImplDlgCtrl (this=0x243e760,
rKEvt=@0xbfe791f0, 
    bKeyInput=0 '\0')
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/dlgctrl.cxx:842
#19 0x031ffb3a in Window::Notify (this=0x243e760, rNEvt=@0xbfe790f0)
    at event.hxx:428
#20 0x031df740 in SystemWindow::Notify (this=0x243e760,
rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/syswin.cxx:153
#21 0x031b9aba in Dialog::Notify (this=0x243e760, rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/dialog.cxx:490
#22 0xb380161d in SfxTabDialog::Notify (this=0x243e760,
rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/sfx2/source/dialog/tabdlg.cxx:1690
#23 0x031ffc1c in Window::Notify (this=0x243e9d0, rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/window.cxx:4961
#24 0x03226bf5 in Control::Notify (this=0x243e9d0, rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/control/ctrl.cxx:360
#25 0x03270514 in TabControl::Notify (this=0x243e9d0,
rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/control/tabctrl.cxx:1533
#26 0x031ffc1c in Window::Notify (this=0x243f8d8, rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/window.cxx:4961
#27 0x031ffc1c in Window::Notify (this=0x2447a40, rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/window.cxx:4961
#28 0x031ffc1c in Window::Notify (this=0x24477b8, rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/window.cxx:4961
#29 0x03226bf5 in Control::Notify (this=0x24477b8, rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/control/ctrl.cxx:360
#30 0x031ffc1c in Window::Notify (this=0x2448500, rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/window.cxx:4961
#31 0x03226bf5 in Control::Notify (this=0x2448500, rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/control/ctrl.cxx:360
#32 0x031ff11d in Window::KeyUp (this=0x2448500, rKEvt=@0x7)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/window.cxx:4551
#33 0x0320d2ad in ImplHandleKey (pWindow=0x243e760, nSVEvent=5,
nKeyCode=1, 
    nCharCode=0, nRepeat=0, bForward=1 '\001')
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/winproc.cxx:1156
#34 0x0320f5f6 in ImplWindowFrameProc (pInst=0x243e760,
pFrame=0x2309a98, 
    nEvent=1, pEvent=0xbfe79350)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/winproc.cxx:2232
#35 0x00de9e0d in GtkSalFrame::signalKey (pWidget=0x91d7638,
pEvent=0x9138110, 
    frame=0x2309a98) at salframe.hxx:287
#36 0x00eff757 in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib/libgtk-x11-2.0.so.0
#37 0x0089b347 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#38 0x008b1ae1 in g_signal_has_handler_pending ()
   from /usr/lib/libgobject-2.0.so.0
#39 0x008b2913 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#40 0x008b2f5a in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#41 0x00ff3545 in gtk_widget_activate () from
/usr/lib/libgtk-x11-2.0.so.0
#42 0x00efdb6a in gtk_propagate_event () from
/usr/lib/libgtk-x11-2.0.so.0
#43 0x00efdd20 in gtk_main_do_event () from
/usr/lib/libgtk-x11-2.0.so.0
#44 0x078ba0a2 in gdk_event_get_graphics_expose ()
   from /usr/lib/libgdk-x11-2.0.so.0
#45 0x0082e7bb in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#46 0x00830242 in g_main_context_acquire () from
/usr/lib/libglib-2.0.so.0
#47 0x00830728 in g_main_context_iteration () from
/usr/lib/libglib-2.0.so.0
#48 0x00ddaf0c in GtkXLib::Yield (this=0x113ff8, bWait=1 '\001')
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/unx/gtk/app/gtkdata.cxx:653
#49 0x07bc45db in X11SalInstance::Yield (this=0x113fb0, bWait=1 '\001')
    at saldata.hxx:143
#50 0x030af2a6 in Application::Yield ()
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/app/svapp.cxx:767
#51 0x031ba0b6 in Dialog::Execute (this=0x243e760)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/dialog.cxx:707
#52 0xb37ff944 in SfxTabDialog::Execute (this=0x243e760)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/sfx2/source/dialog/tabdlg.cxx:661
#53 0xb2c3cbb1 in SwTextShell::Execute (this=0x8183418,
rReq=@0xbfe7a1f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/sw/source/ui/shells/textsh1.cxx:741
#54 0xb2c35144 in SfxStubSwTextShellExecute (pShell=0x7, rReq=@0x7)
    at swslots.hxx:2339
#55 0xb3740a8e in SfxDispatcher::Call_Impl (this=0x1fd1f00,
rShell=@0x8183418, 
    rSlot=@0xb2e2988c, rReq=@0xbfe7a1f0, bRecord=1 '\001') at
shell.hxx:229
#56 0xb374212e in SfxDispatcher::_Execute (this=0x1fd1f00,
rShell=@0x8183418, 
    rSlot=@0xb2e2988c, rReq=@0xbfe7a1f0, eCallMode=5)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/sfx2/source/control/dispatch.cxx:1076
#57 0xb3752828 in SfxBindings::Execute_Impl (this=0x1fd1d30,
aReq=@0xbfe7a1f0, 
    pSlot=0xb2e2988c, pShell=0x8183418)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/sfx2/source/control/bindings.cxx:1705
#58 0xb373a1b8 in SfxDispatchController_Impl::dispatch (this=0x243e6b8,

    aURL=@0x243e710, aArgs=@0x7, rListener=@0xbfe7a250)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/sfx2/source/control/unoctitm.cxx:560
#59 0xb37390bf in SfxOfficeDispatch::dispatch (this=0x1, aURL=@0x7,
aArgs=@0x7)
    at Reference.hxx:147
#60 0xb374fb44 in SfxAsyncExec_Impl::TimerHdl (this=0x243e710, 
    pTimer=0x243e740)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/sfx2/source/control/bindings.cxx:187
#61 0xb374fa04 in SfxAsyncExec_Impl::LinkStubTimerHdl (pThis=0x7,
pCaller=0x7)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/sfx2/source/control/bindings.cxx:180
#62 0x030b5625 in Timer::Timeout (this=0x7) at link.hxx:159
#63 0x030b5319 in ImplTimerCallbackProc ()
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/app/timer.cxx:195
#64 0x07bb9c8c in SalData::Timeout (this=0x113fd8) at saltimer.hxx:102
#65 0x00ddac1e in GtkXLib::timeoutFn (data=0x113ff8) at saldata.hxx:143
#66 0x00831368 in g_main_context_wakeup () from
/usr/lib/libglib-2.0.so.0
#67 0x0082e7bb in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#68 0x00830242 in g_main_context_acquire () from
/usr/lib/libglib-2.0.so.0
#69 0x00830728 in g_main_context_iteration () from
/usr/lib/libglib-2.0.so.0
#70 0x00ddaf0c in GtkXLib::Yield (this=0x113ff8, bWait=1 '\001')
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/unx/gtk/app/gtkdata.cxx:653
#71 0x07bc45db in X11SalInstance::Yield (this=0x113fb0, bWait=1 '\001')
    at saldata.hxx:143
#72 0x030af2a6 in Application::Yield ()
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/app/svapp.cxx:767
#73 0x030af1bd in Application::Execute ()
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/app/svapp.cxx:724
#74 0x08068f69 in desktop::Desktop::Main (this=0x80c7be0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/desktop/source/app/app.cxx:1431
#75 0x030b4726 in SVMain ()
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/app/svmain.cxx:260
#76 0x0327503d in main (argc=1, argv=0xbfe7a7a4)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/unx/source/plugadapt/salmain.cxx:93
#77 0x005c3e33 in __libc_start_main () from /lib/tls/libc.so.6
#78 0x08063a41 in _start ()

Thread 4 (Thread 78982064 (LWP 8150)):
#0  0x005967a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
No symbol table info available.
#1  0x008da718 in accept () from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x00a8abaf in osl_acceptPipe (pPipe=0x90cd1c8) at pipe.c:459
	s = 133068544
	flags = -512
	pAcceptedPipe = 0x90cd1c8
#3  0x0262cabf in vos::OPipe::accept (this=0x7ee76ec,
Connection=@0x7ee7700)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vos/source/pipe.cxx:260
No locals.
#4  0x080725b3 in desktop::OfficeIPCThread::run (this=0x7ee76d8)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/desktop/source/app/officeipcthread.cxx:533
	nError = 4294966784
#5  0x02625f62 in vos::_cpp_OThread_WorkerFunction (pthis=0x7ee76d8)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vos/source/thread.cxx:89
No locals.
#6  0x02625f49 in _OThread_WorkerFunction (pthis=0xfffffe00)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vos/source/thread.cxx:75
No locals.
#7  0x00a7f580 in osl_thread_start_Impl (pData=0x90ccc30) at
thread.c:305
	_buffer = {__routine = 0xa7f41e <osl_thread_cleanup_Impl>, 
  __arg = 0x90ccc30, __canceltype = 0, __prev = 0x0}
	terminate = 0
	pImpl = (Thread_Impl *) 0x90ccc30
#8  0x008d53ae in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#9  0x00675b6e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 3 (Thread -1248904272 (LWP 8151)):
#0  0x005967a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
No symbol table info available.
#1  0x008d7dbc in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x00a7bede in osl_waitCondition (Condition=0x90d4df8,
pTimeout=0xb58f33b0)
    at conditn.c:297
	ret = 0
	tp = {tv_sec = 1109967153, tv_usec = 737437}
	to = {tv_sec = 1109968041, tv_nsec = 769787000}
	pCond = (oslConditionImpl *) 0x90d4df8
	nRet = -4
#3  0x0261eec9 in vos::OCondition::wait (this=0xfffffffc,
pTimeout=0xfffffffc)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vos/source/conditn.cxx:104
No locals.
#4  0x02629a88 in vos::OTimerManager::run (this=0x1376850)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vos/source/timer.cxx:523
	delay = {<TimeValue> = {Seconds = 888, 
    Nanosec = 32350000}, <No data fields>}
	pDelay = (vos::TTimeValue *) 0xb58f33b0
#5  0x02625f62 in vos::_cpp_OThread_WorkerFunction (pthis=0x1376850)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vos/source/thread.cxx:89
No locals.
#6  0x02625f49 in _OThread_WorkerFunction (pthis=0xfffffffc)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vos/source/thread.cxx:75
No locals.
#7  0x00a7f580 in osl_thread_start_Impl (pData=0x90d4e48) at
thread.c:305
	_buffer = {__routine = 0xa7f41e <osl_thread_cleanup_Impl>, 
  __arg = 0x90d4e48, __canceltype = 0, __prev = 0x0}
	terminate = 0
	pImpl = (Thread_Impl *) 0x90d4e48
#8  0x008d53ae in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#9  0x00675b6e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 2 (Thread -1259496528 (LWP 8154)):
#0  0x005967a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
No symbol table info available.
#1  0x0066bf74 in poll () from /lib/tls/libc.so.6
No symbol table info available.
#2  0x0727c4e3 in x11::SelectionManager::dispatchEvent (this=0x1696b68,

    millisec=-4)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/dtrans/source/X11/X11_selection.cxx:3585
	aPollFD = {fd = 19, events = 1, revents = 0}
	event = {type = 13579504, xany = {type = 13579504, 
    serial = 3035468576, send_event = 32, display = 0xc75f2f, 
    window = 9268535}, xkey = {type = 13579504, serial = 3035468576, 
    send_event = 32, display = 0xc75f2f, window = 9268535, root = 313, 
    subwindow = 6644946, time = 12748232, x = -1259498560, y =
152320664, 
    x_root = -1259498680, y_root = 11008572, state = 152320680, 
    keycode = 3035470768, same_screen = -1259498712}, xbutton = {
    type = 13579504, serial = 3035468576, send_event = 32, display =
0xc75f2f, 
    window = 9268535, root = 313, subwindow = 6644946, time = 12748232,

    x = -1259498560, y = 152320664, x_root = -1259498680, y_root =
11008572, 
    state = 152320680, button = 3035470768, same_screen = -1259498712},

  xmotion = {type = 13579504, serial = 3035468576, send_event = 32, 
    display = 0xc75f2f, window = 9268535, root = 313, subwindow =
6644946, 
    time = 12748232, x = -1259498560, y = 152320664, x_root =
-1259498680, 
    y_root = 11008572, state = 152320680, is_hint = -80 '°', 
    same_screen = -1259498712}, xcrossing = {type = 13579504, 
    serial = 3035468576, send_event = 32, display = 0xc75f2f, 
    window = 9268535, root = 313, subwindow = 6644946, time = 12748232,

    x = -1259498560, y = 152320664, x_root = -1259498680, y_root =
11008572, 
    mode = 152320680, detail = -1259496528, same_screen = -1259498712, 
    focus = 120081574, state = 27950792}, xfocus = {type = 13579504, 
    serial = 3035468576, send_event = 32, display = 0xc75f2f, 
    window = 9268535, mode = 313, detail = 6644946}, xexpose = {
    type = 13579504, serial = 3035468576, send_event = 32, display =
0xc75f2f, 
    window = 9268535, x = 313, y = 6644946, width = 12748232, 
    height = -1259498560, count = 152320664}, xgraphicsexpose = {
    type = 13579504, serial = 3035468576, send_event = 32, display =
0xc75f2f, 
    drawable = 9268535, x = 313, y = 6644946, width = 12748232, 
    height = -1259498560, count = 152320664, major_code = -1259498680, 
    minor_code = 11008572}, xnoexpose = {type = 13579504, serial =
3035468576, 
    send_event = 32, display = 0xc75f2f, drawable = 9268535, major_code
= 313, 
    minor_code = 6644946}, xvisibility = {type = 13579504, 
    serial = 3035468576, send_event = 32, display = 0xc75f2f, 
    window = 9268535, state = 313}, xcreatewindow = {type = 13579504, 
    serial = 3035468576, send_event = 32, display = 0xc75f2f, 
    parent = 9268535, window = 313, x = 6644946, y = 12748232, 
    width = -1259498560, height = 152320664, border_width = -1259498680,

    override_redirect = 11008572}, xdestroywindow = {type = 13579504, 
    serial = 3035468576, send_event = 32, display = 0xc75f2f, event =
9268535, 
    window = 313}, xunmap = {type = 13579504, serial = 3035468576, 
    send_event = 32, display = 0xc75f2f, event = 9268535, window = 313,

    from_configure = 6644946}, xmap = {type = 13579504, serial =
3035468576, 
    send_event = 32, display = 0xc75f2f, event = 9268535, window = 313,

    override_redirect = 6644946}, xmaprequest = {type = 13579504, 
    serial = 3035468576, send_event = 32, display = 0xc75f2f, 
    parent = 9268535, window = 313}, xreparent = {type = 13579504, 
    serial = 3035468576, send_event = 32, display = 0xc75f2f, event =
9268535, 
    window = 313, parent = 6644946, x = 12748232, y = -1259498560, 
    override_redirect = 152320664}, xconfigure = {type = 13579504, 
    serial = 3035468576, send_event = 32, display = 0xc75f2f, event =
9268535, 
    window = 313, x = 6644946, y = 12748232, width = -1259498560, 
    height = 152320664, border_width = -1259498680, above = 11008572, 
    override_redirect = 152320680}, xgravity = {type = 13579504, 
    serial = 3035468576, send_event = 32, display = 0xc75f2f, event =
9268535, 
    window = 313, x = 6644946, y = 12748232}, xresizerequest = {
    type = 13579504, serial = 3035468576, send_event = 32, display =
0xc75f2f, 
    window = 9268535, width = 313, height = 6644946}, xconfigurerequest
= {
    type = 13579504, serial = 3035468576, send_event = 32, display =
0xc75f2f, 
    parent = 9268535, window = 313, x = 6644946, y = 12748232, 
    width = -1259498560, height = 152320664, border_width = -1259498680,

    above = 11008572, detail = 152320680, value_mask = 3035470768}, 
  xcirculate = {type = 13579504, serial = 3035468576, send_event = 32, 
    display = 0xc75f2f, event = 9268535, window = 313, place = 6644946},

  xcirculaterequest = {type = 13579504, serial = 3035468576, send_event
= 32, 
    display = 0xc75f2f, parent = 9268535, window = 313, place =
6644946}, 
  xproperty = {type = 13579504, serial = 3035468576, send_event = 32, 
    display = 0xc75f2f, window = 9268535, atom = 313, time = 6644946, 
    state = 12748232}, xselectionclear = {type = 13579504, 
    serial = 3035468576, send_event = 32, display = 0xc75f2f, 
    window = 9268535, selection = 313, time = 6644946},
xselectionrequest = {
    type = 13579504, serial = 3035468576, send_event = 32, display =
0xc75f2f, 
    owner = 9268535, requestor = 313, selection = 6644946, target =
12748232, 
    property = 3035468736, time = 152320664}, xselection = {type =
13579504, 
    serial = 3035468576, send_event = 32, display = 0xc75f2f, 
    requestor = 9268535, selection = 313, target = 6644946, 
    property = 12748232, time = 3035468736}, xcolormap = {type =
13579504, 
    serial = 3035468576, send_event = 32, display = 0xc75f2f, 
    window = 9268535, colormap = 313, c_new = 6644946, state =
12748232}, 
  xclient = {type = 13579504, serial = 3035468576, send_event = 32, 
    display = 0xc75f2f, window = 9268535, message_type = 313, 
    format = 6644946, data = {b =
"È\205Â\000À\223í´\230:\024\tH\223í´<ú§", 
      s = {-31288, 194, -27712, -19219, 15000, 2324, -27832, -19219,
-1476, 
        167}, l = {12748232, -1259498560, 152320664, -1259498680,
11008572}}}, 
  xmapping = {type = 13579504, serial = 3035468576, send_event = 32, 
    display = 0xc75f2f, window = 9268535, request = 313, 
    first_keycode = 6644946, count = 12748232}, xerror = {type =
13579504, 
    display = 0xb4ed9320, resourceid = 32, serial = 13066031, 
    error_code = 55 '7', request_code = 109 'm', minor_code = 141
'\215'}, 
  xkeymap = {type = 13579504, serial = 3035468576, send_event = 32, 
    display = 0xc75f2f, window = 9268535, 
    key_vector =
"9\001\000\000Òde\000È\205Â\000À\223í´\230:\024\tH\223í´<ú§\000¨:\024\t"},
pad = {13579504, -1259498720, 32, 13066031, 9268535, 313, 6644946, 
    12748232, -1259498560, 152320664, -1259498680, 11008572, 152320680,

    -1259496528, -1259498712, 120081574, 27950792, 16, -1259498560,
120148740, 
    -1259498560, 120148740, -1259498680, 120073160}}
#3  0x0727c616 in x11::SelectionManager::run (pThis=0x1696b68)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/dtrans/source/X11/X11_selection.cxx:3630
	aNow = {tv_sec = 1109967212, tv_usec = 871946}
	This = (class x11::SelectionManager *) 0x1696b68
	aLast = {tv_sec = 1109967212, tv_usec = 871946}
#4  0x00a7f580 in osl_thread_start_Impl (pData=0x9143a98) at
thread.c:305
	_buffer = {__routine = 0xa7f41e <osl_thread_cleanup_Impl>, 
  __arg = 0x9143a98, __canceltype = 0, __prev = 0x0}
	terminate = 0
	pImpl = (Thread_Impl *) 0x9143a98
#5  0x008d53ae in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#6  0x00675b6e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 1 (Thread -1208367424 (LWP 8133)):
#0  0x005967a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
No symbol table info available.
#1  0x0063868b in __waitpid_nocancel () from /lib/tls/libc.so.6
No symbol table info available.
#2  0x005e33b5 in do_system () from /lib/tls/libc.so.6
No symbol table info available.
#3  0x005e3763 in system () from /lib/tls/libc.so.6
No symbol table info available.
#4  0x008db7cd in system () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0x00a89fad in ReportCrash (Signal=11) at signal.c:581
	ret = -512
	szShellCmd = "bug-buddy --appname=soffice.bin --pid=8133
--package=OpenOffice.org\0007m\215\000\000\000\000\000\230\204ç¿È\205Â\000\020\000\000\000\020\000\000\000È\204ç¿\001í¨\000\b¦Â\000\034\000\000\000Ø\204ç¿ù\202'\003Í\001\206\001\034fª\001Ø\204ç¿3\203'\003@\205ç¿\000\000\000\000Ì\001\206\001°i*\003Ì\001\206\001°i*\003ø\204翵w'\003@\205ç¿\000\000\000\000Ì\001\206\001°i*\003°i*\003@\205ç¿\030\205ç¿Ái'\003@\205ç¿"...
	i = 0
	act = {__sigaction_handler = {
    sa_handler = 0x3600040 <~DropTargetListener+202>, 
    sa_sigaction = 0x3600040 <~DropTargetListener+202>}, sa_mask =
{__val = {
      25559496, 56625022, 151804544, 151715760, 63028056, 15, 336, 259,

      3219621512, 9282708, 1512, 7700528, 138, 183, 170, 179, 168, 173,
297, 
      245, 138, 183, 166, 179, 168, 170, 246, 7586803, 151717200,
151717864, 
      1512, 129577348}}, sa_flags = 196, sa_restorer = 0x7c}
	bCrashReporterExecuted = 0 '\0'
	argi = 3219620924
	argc = 0
	ustrCommandArg = (rtl_uString *) 0x0
#6  0x00a8a243 in SignalHandlerFunction (Signal=11) at signal.c:737
	Info = {Signal = osl_Signal_AccessViolation, UserSignal = 11, 
  UserData = 0x0}
	act = {__sigaction_handler = {sa_handler = 0x184, 
    sa_sigaction = 0x184}, sa_mask = {__val = {1, 1942, 152131832,
129941108, 
      36739736, 3219621696, 3219621832, 129563729, 3219621704, 9282708,
8, 
      7700528, 6, 151717864, 8, 7549307, 7700491, 8164764, 3219621736, 
      7701235, 151717200, 151717864, 8, 151715760, 56624562, 7121512, 
      3219621800, 7586803, 151717200, 38005200, 3219623096, 52876284}},

  sa_flags = 36763152, sa_restorer = 0x4}
#7  <signal handler called>
No symbol table info available.
#8  String::Equals (this=0xbfe78c10, rStr=@0x1fbf4d0) at
strimp.cxx:1476
No locals.
#9  0x0366ebba in FontList::Get (this=0x1fbf498, rName=@0xbfe78c20, 
    rStyleName=@0xbfe78c10) at string.hxx:639
	pSearchInfo = (ImplFontListFontInfo *) 0xbfe78c20
	pData = (ImplFontListNameInfo *) 0x7
	pFontInfo = (ImplFontListFontInfo *) 0x0
	pFontNameInfo = (ImplFontListFontInfo *) 0x0
	aInfo = {<Font> = {mpImplFont = 0x32b6000}, mpImplMetric = 0x3c1b9d8}
#10 0xb3dc8a12 in SvxCharNamePage::FillItemSet_Impl (this=0x243f8d8, 
    rSet=@0xbfe78cb0, eLangGrp=SvxCharNamePage::Western)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/svx/source/dialog/chardlg.cxx:1325
	pFontList = (const FontList *) 0x1fbf498
	aInfo = {<Font> = {mpImplFont = 0x32b6000}, mpImplMetric = 0x3c1b9d8}
	aFontItem = {<SfxPoolItem> = {_vptr.SfxPoolItem = 0x80bb1d0, 
    nRefCount = 26, nWhich = 35864, nKind = 49127}, aFamilyName = {
    mpData = 0x5abfb4}, aStyleName = {mpData = 0x911d538}, 
  eFamily = FAMILY_DECORATIVE, ePitch = 3219622960, eTextEncoding =
6982, 
  static bEnableStoreUnicodeNames = 0 '\0'}
	eWeight = WEIGHT_THIN
	aStyleBoxText = {mpData = 0x230e140}
	nEntryPos = 0
	aWeightItem = {<SfxEnumItem> = {<CntEnumItem> = {<SfxEnumItemInterface>
= {<SfxPoolItem> = {_vptr.SfxPoolItem = 0x28, nRefCount = 5949008, 
          nWhich = 98, nKind = 0}, <No data fields>}, 
      m_nValue = 0}, <No data fields>}, <No data fields>}
	pStyleBox = (class FontStyleBox *) 0x2432328
	pSizeBox = (class FontSizeBox *) 0x24347e8
	nSlot = 10007
	pExampleSet = (const class SfxItemSet *) 0x7c1af18
	pNameBox = (class FontNameBox *) 0x2436158
	pItem = (const class SfxPoolItem *) 0x0
	bChanged = 1
	bModified = 0 '\0'
	pLangBox = (class SvxLanguageBox *) 0x24477b8
	nWhich = 7
	rOldSet = (const SfxItemSet &) @0xbfe79c60: {
  _vptr.SfxItemSet = 0x340c688, _pPool = 0x66c45b0, _pParent = 0x0, 
  _aItems = 0x2312748, _pWhichRanges = 0x2289d90, _nCount = 3}
	pOld = (const SfxPoolItem *) 0xbfe78c20
	rFontName = (const String &) @0xbfe78c20: {mpData = 0x2460410}
#11 0xb3dca0f2 in SvxCharNamePage::FillItemSet (this=0x243f8d8, 
    rSet=@0xbfe78cb0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/svx/source/dialog/chardlg.cxx:1731
	bModified = 191 '¿'
#12 0xb3dc9fa3 in SvxCharNamePage::DeactivatePage (this=0x0, pSet=0x1)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/svx/source/dialog/chardlg.cxx:1695
No locals.
#13 0xb380055b in SfxTabDialog::PrepareLeaveCurrentPage
(this=0x243e760)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/sfx2/source/dialog/tabdlg.cxx:1120
	aTmp = {_vptr.SfxItemSet = 0x340c688, _pPool = 0x66c45b0, 
  _pParent = 0x0, _aItems = 0x3c1bec0, _pWhichRanges = 0x3c1bb78,
_nCount = 0}
	bRet = 7 '\a'
	nRet = 38009048
	pPage = (SfxTabPage *) 0x243f8d8
	bEnd = 7 '\a'
#14 0xb380047b in SfxTabDialog::OkHdl (this=0x243e760) at
tabdlg.hxx:244
No locals.
#15 0xb380044a in SfxTabDialog::LinkStubOkHdl (pThis=0x7, pCaller=0x7)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/sfx2/source/dialog/tabdlg.cxx:1076
No locals.
#16 0x0321a512 in Button::Click (this=0x243ec3c) at link.hxx:159
	aDelData = {_vptr.ImplDelData = 0x32b1f70, mbDel = 0 '\0', 
  mpNext = 0x0, mpWindow = 0x243ec3c}
#17 0x0321ee95 in OKButton::Click (this=0x7)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/control/button.cxx:1715
No locals.
#18 0x031bc602 in Window::ImplDlgCtrl (this=0x243e760,
rKEvt=@0xbfe791f0, 
    bKeyInput=0 '\0')
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/dlgctrl.cxx:842
	pWindow = (class Window *) 0x0
	nKeyCode = 0
	pButtonWindow = (class Window *) 0x243ec3c
	aKeyCode = {nCode = 1280, eFunc = KEYFUNC_DONTKNOW}
	pSWindow = (class Window *) 0x24477b8
	iButtonStart = 0
	iTemp = 49127
	nIndex = 10
	nFormStart = 0
	nFormEnd = 14
	nDlgCtrlFlags = 0
	pFocusWindow = (class Window *) 0x0
	pTempWindow = (class Window *) 0x0
	i = 10
	iButton = 11
#19 0x031ffb3a in Window::Notify (this=0x243e760, rNEvt=@0xbfe790f0)
    at event.hxx:428
	nRet = 0
#20 0x031df740 in SystemWindow::Notify (this=0x243e760,
rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/syswin.cxx:153
No locals.
#21 0x031b9aba in Dialog::Notify (this=0x243e760, rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/dialog.cxx:490
	nRet = -1075342880
#22 0xb380161d in SfxTabDialog::Notify (this=0x243e760,
rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/sfx2/source/dialog/tabdlg.cxx:1690
No locals.
#23 0x031ffc1c in Window::Notify (this=0x243e9d0, rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/window.cxx:4961
	nRet = 0
#24 0x03226bf5 in Control::Notify (this=0x243e9d0, rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/control/ctrl.cxx:360
No locals.
#25 0x03270514 in TabControl::Notify (this=0x243e9d0,
rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/control/tabctrl.cxx:1533
No locals.
#26 0x031ffc1c in Window::Notify (this=0x243f8d8, rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/window.cxx:4961
	nRet = 0
#27 0x031ffc1c in Window::Notify (this=0x2447a40, rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/window.cxx:4961
	nRet = 0
#28 0x031ffc1c in Window::Notify (this=0x24477b8, rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/window.cxx:4961
	nRet = 0
#29 0x03226bf5 in Control::Notify (this=0x24477b8, rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/control/ctrl.cxx:360
No locals.
#30 0x031ffc1c in Window::Notify (this=0x2448500, rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/window.cxx:4961
	nRet = 0
#31 0x03226bf5 in Control::Notify (this=0x2448500, rNEvt=@0xbfe790f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/control/ctrl.cxx:360
No locals.
#32 0x031ff11d in Window::KeyUp (this=0x2448500, rKEvt=@0x7)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/window.cxx:4551
	aNEvt = {mpWindow = 0x2448500, mpData = 0xbfe791f0, mnType = 5, 
  mnRetValue = 0}
#33 0x0320d2ad in ImplHandleKey (pWindow=0x243e760, nSVEvent=5,
nKeyCode=1, 
    nCharCode=0, nRepeat=0, bForward=1 '\001')
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/winproc.cxx:1156
	aKEvt = {maKeyCode = {nCode = 1280, eFunc = KEYFUNC_DONTKNOW}, 
  mnRepeat = 0, mnCharCode = 0}
	aNEvt = {mpWindow = 0x2448500, mpData = 0xbfe791f0, mnType = 5, 
  mnRetValue = 0}
	bPreNotify = 0 '\0'
	nRet = 1
	pSVData = (ImplSVData *) 0x32b5da0
	nCode = 34048
	bCtrlF6 = 0 '\0'
	pChild = (class Window *) 0x2448500
	aDelData = {_vptr.ImplDelData = 0x32b1f70, mbDel = 0 '\0', 
  mpNext = 0x0, mpWindow = 0x2448500}
	aKeyCode = {nCode = 1280, eFunc = KEYFUNC_DONTKNOW}
	aKeyEvent = {maKeyCode = {nCode = 1280, eFunc = KEYFUNC_DONTKNOW}, 
  mnRepeat = 0, mnCharCode = 0}
#34 0x0320f5f6 in ImplWindowFrameProc (pInst=0x243e760,
pFrame=0x2309a98, 
    nEvent=1, pEvent=0xbfe79350)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/winproc.cxx:2232
	nRet = 0
#35 0x00de9e0d in GtkSalFrame::signalKey (pWidget=0x91d7638,
pEvent=0x9138110, 
    frame=0x2309a98) at salframe.hxx:287
	aEvent = {mnTime = 6607689, mnCode = 1280, mnCharCode = 0, 
  mnRepeat = 0}
	pThis = (GtkSalFrame *) 0x2309a98
	aDel = {m_pNotifier = 0x2309a9c}
	aLocalGtkYieldGuard = {m_pMutex = 0x113f90, m_nGrab = 0}
#36 0x00eff757 in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#37 0x0089b347 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#38 0x008b1ae1 in g_signal_has_handler_pending ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#39 0x008b2913 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#40 0x008b2f5a in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#41 0x00ff3545 in gtk_widget_activate () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#42 0x00efdb6a in gtk_propagate_event () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#43 0x00efdd20 in gtk_main_do_event () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#44 0x078ba0a2 in gdk_event_get_graphics_expose ()
   from /usr/lib/libgdk-x11-2.0.so.0
No symbol table info available.
#45 0x0082e7bb in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#46 0x00830242 in g_main_context_acquire () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#47 0x00830728 in g_main_context_iteration () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#48 0x00ddaf0c in GtkXLib::Yield (this=0x113ff8, bWait=1 '\001')
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/unx/gtk/app/gtkdata.cxx:653
	aReleaser = {m_nYieldCount = 2}
#49 0x07bc45db in X11SalInstance::Yield (this=0x113fb0, bWait=1 '\001')
    at saldata.hxx:143
No locals.
#50 0x030af2a6 in Application::Yield ()
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/app/svapp.cxx:767
	pSVData = (ImplSVData *) 0x32b5da0
#51 0x031ba0b6 in Dialog::Execute (this=0x243e760)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/window/dialog.cxx:707
	pSVData = (ImplSVData *) 0x32b5da0
	nRet = 5905222
	aDelData = {_vptr.ImplDelData = 0x32b1f70, mbDel = 0 '\0', 
  mpNext = 0x0, mpWindow = 0x243e760}
#52 0xb37ff944 in SfxTabDialog::Execute (this=0x243e760)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/sfx2/source/dialog/tabdlg.cxx:661
No locals.
#53 0xb2c3cbb1 in SwTextShell::Execute (this=0x8183418,
rReq=@0xbfe7a1f0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/sw/source/ui/shells/textsh1.cxx:741
	eMetric = FUNIT_PICA
	aCoreSet = {_vptr.SfxItemSet = 0x340c688, _pPool = 0x66c45b0, 
  _pParent = 0x0, _aItems = 0x2312748, _pWhichRanges = 0x2289d90,
_nCount = 3}
	bSel = 1 '\001'
	bSelectionPut = 1 '\001'
	pTmpBrush = (const class SfxPoolItem *) 0xa7ebaa
	pSet = (const class SfxItemSet *) 0x0
	pDlg = (class SwCharDlg *) 0x243e760
	pArgs = (const SfxItemSet *) 0x0
	rWrtSh = (class SwWrtShell
     &) @0x1fdae28: {<SwFEShell> = {<SwEditShell> = {<SwCrsrShell> =
{<ViewShell> = {<Ring> = {_vptr.Ring = 0xb2e40ec8, pNext = 0x1fdae28,
pPrev = 0x1fdae28}, 
          static bLstAct = 0 '\0', aPrtOffst = {<Pair> = {nA = 75, 
              nB = 75}, <No data fields>}, aBrowseBorder = {<Pair> = {nA
= 8, 
              nB = 12}, <No data fields>}, aInvalidRect = {nX = 0, nY =
0, 
            nWidth = 0, nHeight = 0}, pSfxViewShell = 0x1fd4d60, 
          pImp = 0x64c82e8, pWin = 0x1fd4f68, pOut = 0x1fd4f68, 
          mpTmpRef = 0x0, pOpt = 0x64c8348, pAccOptions = 0x1fd5ab0, 
          bDocSizeChgd = 0 '\0', bPaintWorks = 1 '\001', 
          bPaintInProgress = 0 '\0', bViewLocked = 0 '\0', 
          bInEndAction = 0 '\0', bPreView = 0 '\0', bFrameView = 0 '\0',

          bEnableSmooth = 1 '\001', bEndActionByVirDev = 0 '\0', 
          static pShellRes = 0x1d24e30, static pCareWindow = 0x0,
aVisArea = {
            nX = 1971, nY = 0, nWidth = 9371, nHeight = 5055}, 
          pDoc = 0x66c4548, nStartAction = 0, 
          nLockPaint = 0}, <SwModify> = {<SwClient> = {
            _vptr.SwClient = 0xb2e40f00, pLeft = 0x1fefab0, pRight =
0x0, 
            bModifyLocked = 0 '\0', bInModify = 0 '\0', bInDocDTOR = 0
'\0', 
            bInCache = 0 '\0', bInSwFntCache = 0 '\0', 
            pRegisteredIn = 0x1fb8dd8}, pRoot = 0x0}, aCharRect = {nX =
2368, 
          nY = 3344, nWidth = 1, nHeight = 335}, aCrsrHeight = {<Pair> =
{
            nA = 0, nB = 335}, <No data fields>}, aOldRBPos = {<Pair> =
{
            nA = 11207, nB = 4982}, <No data fields>}, aFlyMacroLnk = {
          pInst = 0x1fdae28, 
          pFunc = 0xb2d5539e <SwWrtShell::LinkStubExecFlyMac(void*,
void*)>}, 
        aChgLnk = {pInst = 0x1fd4d60, 
          pFunc = 0xb2d1f1d0 <SwView::LinkStubAttrChangedNotify(void*,
void*)>}, aGrfArrivedLnk = {pInst = 0x8183418, 
          pFunc = 0xb2c14156
<SwBaseShell::LinkStubGraphicArrivedHdl(void*, void*)>}, pCurCrsr =
0x20b89f4, pCrsrStk = 0x0, pVisCrsr = 0x20b8eb0, 
        pTblCrsr = 0x0, pBoxIdx = 0x0, pBoxPtr = 0x0, nUpDownX = 0, 
        nLeftFrmPos = 2368, nAktNode = 13, nAktCntnt = 0, nAktNdTyp = 8,

        bAktSelection = true, nCrsrMove = 0, nBasicActionCnt = 0, 
        eMvState = MV_NONE, bHasFocus = 1 '\001', bSVCrsrVis = 0 '\0', 
        bChgCallFlag = 0 '\0', bVisPortChgd = 0 '\0', bCallChgLnk = 1
'\001', 
        bAllProtect = 0 '\0', bInCMvVisportChgd = 0 '\0', bGCAttr = 0
'\0', 
        bIgnoreReadonly = 0 '\0', bSelTblCells = 0 '\0', 
        bAutoUpdateCells = 1 '\001', bBasicHideCrsr = 0 '\0', 
        bSetCrsrInReadOnly = 1 '\001', bOverwriteCrsr = 0 '\0', 
        mbMacroExecAllowed = true}, static pAutoFmtFlags = 0x64cbd00}, 
    pChainFrom = 0x0, pChainTo = 0x0, bCheckForOLEInCaption = 0 '\0'}, 
  fnDrag = {
    __pfn = 0xb2d55576 <SwWrtShell::BeginDrag(Point const*, unsigned
char)>, 
    __delta = 0}, fnSetCrsr = {
    __pfn = 0xb2d547e6 <SwWrtShell::SetCrsrKillSel(Point const*,
unsigned char)>, __delta = 0}, fnEndDrag = {
    __pfn = 0xb2d556c2 <SwWrtShell::EndDrag(Point const*, unsigned
char)>, 
    __delta = 0}, fnKillSel = {
    __pfn = 0xb2d548c6 <SwWrtShell::ResetSelect(Point const*, unsigned
char)>, 
    __delta = 0}, pModeStack = 0x0, ePageMove = SwWrtShell::MV_NO, 
  pCrsrStack = 0x0, rView = @0x1fd4d60, aDest = {<Pair> = {nA = 0, 
      nB = 0}, <No data fields>}, bDestOnStack = 0 '\0', bIns = 1
'\001', 
  bInSelect = 0 '\0', bExtMode = 0 '\0', bAddMode = 0 '\0', 
  bLayoutMode = 0 '\0', bNoEdit = 0 '\0', bCopy = 0 '\0', bSelWrd = 0
'\0', 
  bSelLn = 0 '\0', bIsInClickToEdit = 0 '\0', bClearMark = 1 '\001', 
  aStart = {<Pair> = {nA = 0, nB = 0}, <No data fields>}, aSelTblLink =
{
    pInst = 0x0, pFunc = 0}, fnLeaveSelect = {
    __pfn = 0xb2d54fae <SwWrtShell::SttLeaveSelect(Point const*,
unsigned char)>, __delta = 0}}
	pItem = (const SfxPoolItem *) 0x0
	bUseDialog = 1 '\001'
	nSlot = 10296
#54 0xb2c35144 in SfxStubSwTextShellExecute (pShell=0x7, rReq=@0x7)
    at swslots.hxx:2339
No locals.
#55 0xb3740a8e in SfxDispatcher::Call_Impl (this=0x1fd1f00,
rShell=@0x8183418, 
    rSlot=@0xb2e2988c, rReq=@0xbfe7a1f0, bRecord=1 '\001') at
shell.hxx:229
	bThisDispatcherAlive = 1 '\001'
	pOldInCallAliveFlag = (sal_Bool *) 0x0
	pView = (class SfxViewFrame *) 0x7
	pExecuteItem = (SfxExecuteItem *) 0x0
	pBindings = (class SfxBindings *) 0x1fd1d30
	bAutoUpdate = 0 '\0'
	pAppData = (class SfxAppData_Impl *) 0x1748778
	pTabPageItem = (const class SfxUInt16Item *) 0x0
	pSfxApp = (class SfxApplication *) 0x0
#56 0xb374212e in SfxDispatcher::_Execute (this=0x1fd1f00,
rShell=@0x8183418, 
    rSlot=@0xb2e2988c, rReq=@0xbfe7a1f0, eCallMode=5)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/sfx2/source/control/dispatch.cxx:1076
	nSlot = 10296
#57 0xb3752828 in SfxBindings::Execute_Impl (this=0x1fd1d30,
aReq=@0xbfe7a1f0, 
    pSlot=0xb2e2988c, pShell=0x8183418)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/sfx2/source/control/bindings.cxx:1705
	nSlotId = 7
	rPool = (class SfxItemPool &) @0x66c45b0: {
  _vptr.SfxItemPool = 0xb2de91e8, aName = {mpData = 0x66c6b18}, nStart =
1, 
  nEnd = 130, _nFileFormatVersion = 0, pItemInfos = 0xb2decaa0, 
  pImp = 0x66c6b38, ppStaticDefaults = 0xb2e411a0, ppPoolDefaults =
0x66c6d88, 
  pSecondary = 0x0, pMaster = 0x66c45b0, _pPoolRanges = 0x0, 
  bPersistentRefCounts = 1}
#58 0xb373a1b8 in SfxDispatchController_Impl::dispatch (this=0x243e6b8,

    aURL=@0x243e710, aArgs=@0x7, rListener=@0xbfe7a250)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/sfx2/source/control/unoctitm.cxx:560
	aReq = {<SfxHint> = {_vptr.SfxHint = 0xb38c1870}, nSlot = 10296, 
  pArgs = 0x0, pImp = 0x22864d8}
	aSet = {<SfxItemSet> = {_vptr.SfxItemSet = 0x340c628, 
    _pPool = 0x66c45b0, _pParent = 0x0, _aItems = 0x0, 
    _pWhichRanges = 0x7c1e810, _nCount = 0}, aDefault = {<SfxPoolItem> =
{
      _vptr.SfxPoolItem = 0x340c988, nRefCount = 0, nWhich = 0, 
      nKind = 0}, <No data fields>}, nFree = 10}
	pShell = (class SfxShell *) 0x8183418
	pSlot = (const class SfxSlot *) 0xb2e2988c
	pItem = (const class SfxPoolItem *) 0x0
	nCall = 1
	nMarkArg = -1
	lNewArgs = {_pSequence = 0x5ea7fb8, static s_pType = 0x8471a28}
	nCount = 1
	bTemp = 0 '\0'
	n = 1
	bSuccess = 0 '\0'
	aGuard = {_vptr.OGuard = 0x808bea8, m_rMutex = @0x113f94}
#59 0xb37390bf in SfxOfficeDispatch::dispatch (this=0x1, aURL=@0x7,
aArgs=@0x7)
    at Reference.hxx:147
No locals.
#60 0xb374fb44 in SfxAsyncExec_Impl::TimerHdl (this=0x243e710, 
    pTimer=0x243e740)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/sfx2/source/control/bindings.cxx:187
	aSeq = {_pSequence = 0x2305f70, static s_pType = 0x8471a28}
#61 0xb374fa04 in SfxAsyncExec_Impl::LinkStubTimerHdl (pThis=0x7,
pCaller=0x7)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/sfx2/source/control/bindings.cxx:180
No locals.
#62 0x030b5625 in Timer::Timeout (this=0x7) at link.hxx:159
No locals.
#63 0x030b5319 in ImplTimerCallbackProc ()
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/app/timer.cxx:195
	pSVData = (ImplSVData *) 0x32b5da0
	pPrevTimerData = (ImplTimerData *) 0x113ff8
	nTime = 1865596673
	pTimerData = (ImplTimerData *) 0x7c1dc78
	nMinPeriod = 4294967295
	nDeltaTime = 7
	nNewTime = 14527697
#64 0x07bb9c8c in SalData::Timeout (this=0x113fd8) at saltimer.hxx:102
No locals.
#65 0x00ddac1e in GtkXLib::timeoutFn (data=0x113ff8) at saldata.hxx:143
	pSalData = (class SalData *) 0x113fd8
	pThis = (GtkXLib *) 0x113ff8
#66 0x00831368 in g_main_context_wakeup () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#67 0x0082e7bb in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#68 0x00830242 in g_main_context_acquire () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#69 0x00830728 in g_main_context_iteration () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#70 0x00ddaf0c in GtkXLib::Yield (this=0x113ff8, bWait=1 '\001')
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/unx/gtk/app/gtkdata.cxx:653
	aReleaser = {m_nYieldCount = 1}
#71 0x07bc45db in X11SalInstance::Yield (this=0x113fb0, bWait=1 '\001')
    at saldata.hxx:143
No locals.
#72 0x030af2a6 in Application::Yield ()
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/app/svapp.cxx:767
	pSVData = (ImplSVData *) 0x32b5da0
#73 0x030af1bd in Application::Execute ()
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/vcl/source/app/svapp.cxx:724
	pSVData = (ImplSVData *) 0x32b5da0
#74 0x08068f69 in desktop::Desktop::Main (this=0x80c7be0)
    at
/usr/src/debug/ooo-build-cvs20050205/build/OOO_1_1_3/desktop/source/app/app.cxx:1431
	xSMgr = {<com::sun::star::uno::BaseReference> = {
    _pInterface = 0x117770}, <No data fields>}
	layer = {m_aEnvTypeName = {pData = 0x11e640}, 
  m_xPreviousContext = {<com::sun::star::uno::BaseReference> = {
      _pInterface = 0x0}, <No data fields>}}
	pLabelResMgr = (ResMgr *) 0xbfe7a570
	aTitleString = {pData = 0x13728a0}
	bUseSystemFileDialog = 0 '\0'
	pPathOptions = (SvtPathOptions *) 0x139f678
	rMutex = (class vos::IMutex &) @0x7:
Comment 1 Caolan McNamara 2005-03-07 05:06:04 EST

*** This bug has been marked as a duplicate of 148965 ***

Note You need to log in before you can comment on or make changes to this bug.